%define anolis_release 1

Name: lcov
Version: 2.0
Release: %{anolis_release}%{?dist}
Summary: LTP GCOV extension code coverage tool
License: GPL-2.0-or-later
URL: https://github.com/linux-test-project/lcov/
Source0: https://github.com/linux-test-project/lcov/archive/refs/tags/v%{version}.tar.gz

BuildArch: noarch
BuildRequires: perl-generators
BuildRequires: git-core
BuildRequires: make

Requires: /usr/bin/gcov
Requires: /usr/bin/find
Requires: perl(GD::Image)
Requires: perl(JSON::XS)

# lcovutil.pm is a private helper file
%global __requires_exclude ^perl\\(lcovutil\\)$
%global __provides_exclude ^perl.*$

%description
LCOV is an extension of GCOV, a GNU tool which provides information
about what parts of a program are actually executed (i.e. "covered")
while running a particular test case. The extension consists of a set
of PERL scripts which build on the textual GCOV output to implement
HTML output and support for large projects.

%prep
%autosetup

%install
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     CFG_DIR=%{_sysconfdir} LIB_DIR=%{_datadir}/lcov

%files
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/lcovrc
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_datadir}/lcov
%dir %{_datadir}/lcov/support-scripts
%{_datadir}/lcov/lcovutil.pm
%{_datadir}/lcov/support-scripts/*

%changelog
* Thu Dec 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0-1
- update to version 2.0

* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 1.16-1
- package init from upstream
